---
api: 'Business API'
---

# Add a payment to a payment draft

Add a new payment to an existing payment draft.

:::note
You can add payments to drafts created with the API or via the Revolut Business app.
:::

The payment uses the same shape as the payments in the [create payment draft](#create-payment-draft) request.

For more information, see the guides: [Payment drafts](https://developer.revolut.com/docs/guides/manage-accounts/transfers/payment-drafts).

## Endpoint

POST `/payment-drafts/{payment_draft_id}/payments`

## Parameters

### path parameters

- `payment_draft_id` (string, required)
  The ID of the payment draft to add the payment to.

## Request body

The payment to add to the draft.

### Attributes

- `account_id` (string)
    The ID of the account to pay from. 
    
    :::note
    You can specify only one account ID for multiple payments in the same payment draft.
    :::
- `receiver` (object)
    The details of the transfer recipient.
    
    If the counterparty has multiple payment methods available (e.g. 2 accounts, or 1 account and 1 card), you must specify the account (`account_id`) or card (`card_id`) to which you want to transfer the money.
  - `receiver.counterparty_id` (string)
      The ID of the receiving counterparty.
  - `receiver.account_id` (string, optional)
      The ID of the receiving counterparty's account. Used for bank transfers.
      
      If the counterparty has multiple payment methods available, use it to specify the account to which you want to send the money.
  - `receiver.card_id` (string, optional)
      The ID of the receiving counterparty's card.
      Used for card transfers.
      
      If the counterparty has multiple payment methods available, use it to specify the card to which you want to send the money.
- `amount` (number)
    The amount of the payment.
- `currency` (string)
    [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
- `reference` (string)
    The reference for the payment.
    A piece of text or number you provide to help identify what the payment relates to.
    It can be used, for example, for reconciliation or tracking purposes.
    
    You might include an invoice number, account or transaction ID, or any other reference meaningful to you.
- `charge_bearer` (enum, optional)
    The party that should bear the transaction fees related to the selected transaction route if applied.
    Possible options are: 
    - `shared`: Also known as **SHA**. The transaction route fees are split between the sender and the recipient. 
      The sender pays the fees charged by their bank, while the recipient pays the fees charged by the receiving and any intermediary banks.
    - `debtor`: Also known as **OUR**. The sender pays all explicit transaction fees.
    
    :::note
    - This field is not supported for [bulk payments](https://developer.revolut.com/docs/guides/manage-accounts/transfers/payment-drafts#use-cases). 
    - Some transactions with fees might not support charge bearer selection.
      If this is the case, the request will return an error.
      To proceed with the default fee handling, remove this field from your request and try again.
    :::
    Possible enum values:

    - `shared`
    - `debtor`
- `transfer_reason_code` (string, optional)
    The reason code for the transaction. Transactions to certain countries and currencies might require you to provide a transfer reason. 
    You can check available reason codes with the [`GET /transfer-reasons` operation](https://developer.revolut.com/docs/api/business#get-transfer-reasons).
    
    If a transfer reason is not required for the given currency and country, this field is ignored.

## Returns

### 201

The ID of the payment that was added to the draft

#### Response attributes

- `id` (string)
    The ID of the payment added to the draft.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request  Returned, for example, when a required parameter is missing or malformatted. |
| 404 | The specified payment draft was not found. |
| 422 | Unprocessable Entity  Returned when the payment draft cannot be modified. |
